<h2 mat-dialog-title>{{data.title}}</h2>
<mat-dialog-content>
    <p>{{data.message}}</p>
    <mat-form-field>
        <input matInput [(ngModel)]="deleteText" data-test="confirmation-prompt">
    </mat-form-field>
</mat-dialog-content>
<mat-dialog-actions>
    <button mat-button (click)="onNoClick()" data-test="confirmation-no">No Thanks</button>
    <button mat-button color="warn" [mat-dialog-close]="true" cdkFocusInitial [disabled]="isDisabled"
        data-test="confirmation-yes">Delete</button>
</mat-dialog-actions>